<?php

	# mark core  v1.0
    # author Drk in
	# date 24.10.19 	

	# core

	require_once ( $_SERVER['DOCUMENT_ROOT']."/_core/system.php" );

	$id =  isset( $_GET['id'] ) ? system::abs($_GET['id']): 0;

	if (cache_pf::ch($id) === false)system::header('/','Ошибка, ID не найден');

	$act = cache_pf::check($id);

	if ($act['ban'] == 1)system::header('/','Ошибка, сайт заблокирован');

	if ($act['mode'] == 1)system::header('/','Ошибка, сайт на модерации');

	if ($act['hide'] == 0 || isset($user) && $act['user'] == $user['id'] || isset($user) && $user['admin'] == 1): $r = 1; else: system::header('/link/'.$id,'Ошибка, владелец сайта предпочёл скрыть статистику.'); endif;

	# meta

	$title = 'Cтатистика сайта '.system::check($act['url']).' график » Мобильные WAP сайты';
	$description = system::check($config['description']);
	$keywords = system::check($config['keywords']);
	$tl = 'Статистика сайта '.system::check($act['url']).' график';
	
	# head

	require_once ( head );

	echo '
	<script type="text/javascript" src="/css/js/loader.js"></script>
	<script type="text/javascript" src="/css/js/tiktop.js"></script>
    <div id="columnchart_material"
	data-hs="'.$act['hs'].'" data-hs_t="'.$act['hs_to'].'"
	data-ht="'.$act['ht'].'" data-ht_t="'.$act['ht_to'].'"
	data-ins="'.$act['in'].'" data-ins_t="'.$act['in_to'].'"	
	data-ou="'.$act['ou'].'" data-ou_t="'.$act['ou_to'].'" 
	data-name="'.system::check($act['url']).'" style="width: 100%; max-width: 100%;height: 545px; max-height: 445px;"></div>
	<a href="'.site.'/link/'.$id.'" class="touch">« Cтатистика</a>
	<a href="'.site.'" class="touch">« На главную</a>
	';

	# foot 

	require_once ( foot );

?>